Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar

## Class AbstractFixMissingGrammarCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.AbstractFixMissingGrammarCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

Direct Known Subclasses:
  `DTDNotFoundCodeAction`, `schema_reference_4CodeAction`

    public abstract class AbstractFixMissingGrammarCodeAction
    extends Object
    implements ICodeActionParticipant

Abstract code action participant which manages missing referenced grammar file (DTD, XSD).

### Constructor Summary

Constructors
`AbstractFixMissingGrammarCodeAction()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.
`protected abstract FileContentGeneratorSettings` `getFileContentGeneratorSettings()` Returns the grammar settings used to generate the missing grammar file (XSD, DTD).
`protected abstract String` `getParticipantId()`
`ICodeActionResolvesParticipant` `getResolveCodeActionParticipant​(String participantId)` Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional`

### Constructor Detail

#### AbstractFixMissingGrammarCodeAction

    public AbstractFixMissingGrammarCodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.

#### getResolveCodeActionParticipant

    public ICodeActionResolvesParticipant getResolveCodeActionParticipant​(String participantId)

Description copied from interface: `ICodeActionParticipant`
Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

Specified by:
  `getResolveCodeActionParticipant` in interface `ICodeActionParticipant`
Parameters:
  `participantId` - the code action resolver participant ID.
Returns:
  the codeAction resolver participant identified by the given `participantId` and null otherwise.

#### getParticipantId

    protected abstract String getParticipantId()

#### getFileContentGeneratorSettings

    protected abstract FileContentGeneratorSettings getFileContentGeneratorSettings()

Returns the grammar settings used to generate the missing grammar file (XSD, DTD).

Returns:
  the grammar settings used to generate the missing grammar file (XSD, DTD).